<?php
/**
 * This file is part of FacturaScripts
 * Copyright (C) 2019-2023 Carlos Garcia Gomez <carlos@facturascripts.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

namespace FacturaScripts\Core\Lib\Email;

use FacturaScripts\Core\Base\ExtensionsTrait;

/**
 * Description of TextBlock
 *
 * @author Carlos Garcia Gomez      <carlos@facturascripts.com>
 * @author Daniel Fernández Giménez <hola@danielfg.es>
 */
class TextBlock extends BaseBlock
{
    use ExtensionsTrait;

    /** @var string */
    protected $text;

    public function __construct(string $text, string $css = '', string $style = '')
    {
        $this->css = $css;
        $this->style = $style;
        $this->text = $text;
    }

    public function render(): string
    {
        $return = $this->pipe('render');
        return $return ?? '<p class="' . (empty($this->css) ? 'text' : $this->css) . '">'
        . nl2br($this->text) . '</p>';
    }
}
