<p align="center">
  <br/>
  <a href="https://opensource.org/licenses/LGPL"><img src="https://img.shields.io/badge/license-LGPL-green.svg?color=2670c9&style=for-the-badge&label=License&logoColor=000000&labelColor=ececec" alt="License: LGPL"></a>
  <a href="https://github.com/NeoRazorX/facturascripts/pulls"><img alt="PR´s Welcome" src="https://img.shields.io/badge/PR´s_Welcome-brightgreen?style=for-the-badge"></a>
  <br/>  
  <br/>
</p>

<p align="center">
  <img src="https://upload.wikimedia.org/wikipedia/commons/d/de/Logo-FacturaScripts.png" width="500" title="Logo">
</p>

<h3 align="center">FacturaScripts - Open source ERP software. Built on modern PHP and bootstrap 4. Easy and powerful.</h3>
<br/>

<p align="center">
<a href="https://facturascripts.com">
<img src="https://facturascripts.com/Dinamic/Assets/Images/factura-en-segundos.png">
</a>
</p>
<br/>

<p align="center">
  <a href="README_es_ES.md">Español</a>
  <a href="README_ca_ES.md">Català</a>
  <a href="README_fr_FR.md">Français</a>
  <a href="README_it_IT.md">Italiano</a>
</p>

## Disclaimer
- ⚠️ The repository is under **very active** development.
- ⚠️ Expect bugs and breaking changes.
- ⚠️ For production purposes, use the stable version at the following <a href="https://facturascripts.com/descargar">link</a>.

## Content
- [Official Documentation](https://facturascripts.com/ayuda)
- [Official Developer Documentation](https://facturascripts.com/ayuda-dev)
- [Roadmap](https://facturascripts.com/roadmap)
- [Demo](https://facturascripts.com/probar-online)
- [Features](https://facturascripts.com/programa-para-hacer-facturas)
- [Installation](#install)
- [Contribution Guidelines](https://facturascripts.com/colabora)
- [Support The Project](https://facturascripts.com/contacto)
  
## Install
Clone and deploy with composer and npm (composer is for PHP dependencies, and npm for JavaScript and CSS):
```
git clone https://github.com/NeoRazorX/facturascripts.git
cd facturascripts
composer install
npm install
```

## Documentation
https://facturascripts.com/ayuda

## Issues / Feedback / Discord
- https://facturascripts.com/contacto
- https://discord.gg/qKm7j9AaJT

### Security Vulnerabilities
If you discover a security vulnerability within FacturaScripts, please send an e-mail to Carlos Garcia via [carlos@facturascripts.com](mailto:carlos@facturascripts.com)

## Translations
https://facturascripts.com/traducciones

## Tests
```
vendor/bin/phpunit
vendor/bin/phpstan analyse Core
```

## Links
- [Curso de FacturaScripts en YouTube](https://www.youtube.com/watch?v=rGopZA3ErzE&list=PLNxcJ5CWZ8V6nfeVu6vieKI_d8a_ObLfY)
- [Programa para hacer facturas gratis](https://facturascripts.com/programa-para-hacer-facturas)
- [Programa para hacer presupuestos gratis](https://facturascripts.com/programa-de-presupuestos)
- [Programa de contabilidad gratis para autónomos](https://facturascripts.com/software-contabilidad)
- [Programa para imprimir tickets](https://facturascripts.com/remote-printer)
